<?php
include 'config.php';
$newimg = trim($_GET['newimg']);
$newimg2 = trim($_GET['newimg2']);
$newimg3 = trim($_GET['newimg3']);
$newimg4 = trim($_GET['newimg4']);

$oldimg = trim($_GET['oldimg']);
$oldimg2 = trim($_GET['oldimg2']);
$oldimg3 = trim($_GET['oldimg3']);
$oldimg4 = trim($_GET['oldimg4']);

$lang = $_GET['lang'];
$direccionIndeval = trim($_GET['direccionIndeval']);
$linkBuzonDeTransparencia= trim($_GET['linkBuzonDeTransparencia']);
$textoBuzonDeTransparencia = trim($_GET['textoBuzonDeTransparencia']);
$textoCopyright = trim($_GET['textoCopyright']);
$tituloColumna1Footer = trim($_GET['tituloColumna1Footer']);
$tituloColumna2Footer= trim($_GET['tituloColumna2Footer']);
$tituloColumna3Footer = trim($_GET['tituloColumna3Footer']);

$tituloMarketData = trim($_GET['tituloMarketData']);
$textoMarketData = trim($_GET['textoMarketData']);
$linkMarketData = trim($_GET['linkMarketData']);


$imagen = $oldimg;
$imagen2 = $oldimg2;
$imagen3 = $oldimg3;
$imagen4 = $oldimg4;

$direccionIndeval = urlencode($direccionIndeval);
$textoBuzonDeTransparencia = urlencode($textoBuzonDeTransparencia);
$textoCopyright = urlencode($textoCopyright);

$tituloColumna1Footer = urlencode($tituloColumna1Footer);
$tituloColumna2Footer = urlencode($tituloColumna2Footer);
$tituloColumna3Footer = urlencode($tituloColumna3Footer);

$tituloMarketData = urlencode($tituloMarketData);
$textoMarketData = urlencode($textoMarketData);

    ////////////////SI HUBO CAMBIO DE IMAGEN

    if($newimg == 1){

        if (isset($_FILES['imagen']) && $_FILES['imagen']['error'] === UPLOAD_ERR_OK)
        {
            // get details of the uploaded file
            $fileTmpPath = $_FILES['imagen']['tmp_name'];
            $fileName = $_FILES['imagen']['name'];
            $fileSize = $_FILES['imagen']['size'];
            $fileType = $_FILES['imagen']['type'];
            $fileNameCmps = explode(".", $fileName);
            $fileExtension = strtolower(end($fileNameCmps));
        
            // sanitize file-name
            $newFileName = "logo-indeval_".$lang. '.' . $fileExtension;
    
            // check if file has one of the following extensions
            $allowedfileExtensions = array('jpg', 'gif', 'png', 'webp', 'svg');
        
            if (in_array($fileExtension, $allowedfileExtensions))
            {
            ///////////////SUBIR A AWS
                /// AWS API keys
                $aws_access_key_id = $aws_access_key_id;
                $aws_secret_access_key = $aws_secret_access_key;
                // Bucket
                $bucket_name = $bucket_name;
                // AWS region and Host Name (Host names are different for each AWS region)
                // As an example these are set to us-east-1 (US Standard)
                $aws_region = $aws_region;
                $host_name = $bucket_name . '.s3.amazonaws.com';

                // Server path where content is present. This is just an example
                //$content_path = $dest_path;
                $content = file_get_contents($fileTmpPath);

                // AWS file permissions
                $content_acl = 'public-read';

                // MIME type of file. Very important to set if you later plan to load the file from a S3 url in the browser (images, for example)
                $content_type = 'image/'.$fileExtension;

                if($content_type == 'image/svg' ){ $content_type = "image/svg+xml";}
                // Name of content on S3
                $content_title = 'img/generales/'.$newFileName;

                // Service name for S3
                $aws_service_name = 's3';

                // UTC timestamp and date
                $timestamp = gmdate('Ymd\THis\Z');
                $date = gmdate('Ymd');

                // HTTP request headers as key & value
                $request_headers = array();
                $request_headers['Content-Type'] = $content_type;
                $request_headers['Date'] = $timestamp;
                $request_headers['Host'] = $host_name;
                $request_headers['x-amz-acl'] = $content_acl;
                $request_headers['x-amz-content-sha256'] = hash('sha256', $content);
                // Sort it in ascending order
                ksort($request_headers);

                // Canonical headers
                $canonical_headers = [];
                foreach($request_headers as $key => $value) {
                    $canonical_headers[] = strtolower($key) . ":" . $value;
                }
                $canonical_headers = implode("\n", $canonical_headers);

                // Signed headers
                $signed_headers = [];
                foreach($request_headers as $key => $value) {
                    $signed_headers[] = strtolower($key);
                }
                $signed_headers = implode(";", $signed_headers);

                // Cannonical request 
                $canonical_request = [];
                $canonical_request[] = "PUT";
                $canonical_request[] = "/" . $content_title;
                $canonical_request[] = "";
                $canonical_request[] = $canonical_headers;
                $canonical_request[] = "";
                $canonical_request[] = $signed_headers;
                $canonical_request[] = hash('sha256', $content);
                $canonical_request = implode("\n", $canonical_request);
                $hashed_canonical_request = hash('sha256', $canonical_request);

                // AWS Scope
                $scope = [];
                $scope[] = $date;
                $scope[] = $aws_region;
                $scope[] = $aws_service_name;
                $scope[] = "aws4_request";

                // String to sign
                $string_to_sign = [];
                $string_to_sign[] = "AWS4-HMAC-SHA256"; 
                $string_to_sign[] = $timestamp; 
                $string_to_sign[] = implode('/', $scope);
                $string_to_sign[] = $hashed_canonical_request;
                $string_to_sign = implode("\n", $string_to_sign);

                // Signing key
                $kSecret = 'AWS4' . $aws_secret_access_key;
                $kDate = hash_hmac('sha256', $date, $kSecret, true);
                $kRegion = hash_hmac('sha256', $aws_region, $kDate, true);
                $kService = hash_hmac('sha256', $aws_service_name, $kRegion, true);
                $kSigning = hash_hmac('sha256', 'aws4_request', $kService, true);

                // Signature
                $signature = hash_hmac('sha256', $string_to_sign, $kSigning);

                // Authorization
                $authorization = [
                    'Credential=' . $aws_access_key_id . '/' . implode('/', $scope),
                    'SignedHeaders=' . $signed_headers,
                    'Signature=' . $signature
                ];
                $authorization = 'AWS4-HMAC-SHA256' . ' ' . implode( ',', $authorization);

                // Curl headers
                $curl_headers = [ 'Authorization: ' . $authorization ];
                foreach($request_headers as $key => $value) {
                    $curl_headers[] = $key . ": " . $value;
                }

                $url = 'https://' . $host_name . '/' . $content_title;
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_HEADER, false);
                curl_setopt($ch, CURLOPT_HTTPHEADER, $curl_headers);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, false);
                curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
                curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
                curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
                curl_setopt($ch, CURLOPT_POSTFIELDS, $content);
                curl_exec($ch);
                $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
                if($http_code != 200){
                    echo "Error AWS";
                }
                if($http_code == 200){
                    $imagen = $content_title;
                }
        
                
            }
            else
            {
                $message = '<p style="color:red; font-size:12px;">Extensión de imagen no válida. Verifica que tu archivo tenga uno de los siguientes formatos: ' . implode(', ', $allowedfileExtensions).'</p>';
                echo $message;
                exit();
            }
        }
        else
        {
            $message = '<p style="color:red; font-size:12px;">Error en subida de imagen:<br></p> ';
            $message .= '<p style="color:red; font-size:12px;">Error:' . $_FILES['imagen']['error'].'</p>';
            echo $message;
            exit();
        }
        echo $message;
    }
    
    if($newimg2 == 1){

        if (isset($_FILES['imagen2']) && $_FILES['imagen2']['error'] === UPLOAD_ERR_OK)
        {
            // get details of the uploaded file
            $fileTmpPath2 = $_FILES['imagen2']['tmp_name'];
            $fileName2 = $_FILES['imagen2']['name'];
            $fileSize2 = $_FILES['imagen2']['size'];
            $fileType2 = $_FILES['imagen2']['type'];
            $fileNameCmps2 = explode(".", $fileName2);
            $fileExtension2 = strtolower(end($fileNameCmps2));
        
            // sanitize file-name
            $newFileName2 = "logo-footer_".$lang. '.' . $fileExtension2;
    
            // check if file has one of the following extensions
            $allowedfileExtensions2 = array('jpg', 'gif', 'png', 'webp', 'svg');
        
            if (in_array($fileExtension2, $allowedfileExtensions2))
            {
            ///////////////SUBIR A AWS
                /// AWS API keys
                $aws_access_key_id = $aws_access_key_id;
                $aws_secret_access_key = $aws_secret_access_key;
                // Bucket
                $bucket_name = $bucket_name;
                // AWS region and Host Name (Host names are different for each AWS region)
                // As an example these are set to us-east-1 (US Standard)
                $aws_region = $aws_region;
                $host_name = $bucket_name . '.s3.amazonaws.com';

                // Server path where content is present. This is just an example
                //$content_path = $dest_path;
                $content2 = file_get_contents($fileTmpPath2);

                // AWS file permissions
                $content_acl = 'public-read';

                // MIME type of file. Very important to set if you later plan to load the file from a S3 url in the browser (images, for example)
                
                $content_type2 = 'image/'.$fileExtension;

                if($content_type2 == 'image/svg' ){ $content_type2 = "image/svg+xml";}
                // Name of content on S3
                $content_title2 = 'img/generales/'.$newFileName2;

                // Service name for S3
                $aws_service_name = 's3';

                // UTC timestamp and date
                $timestamp = gmdate('Ymd\THis\Z');
                $date = gmdate('Ymd');

                // HTTP request headers as key & value
                $request_headers = array();
                $request_headers['Content-Type'] = $content_type2;
                $request_headers['Date'] = $timestamp;
                $request_headers['Host'] = $host_name;
                $request_headers['x-amz-acl'] = $content_acl;
                $request_headers['x-amz-content-sha256'] = hash('sha256', $content2);
                // Sort it in ascending order
                ksort($request_headers);

                // Canonical headers
                $canonical_headers = [];
                foreach($request_headers as $key => $value) {
                    $canonical_headers[] = strtolower($key) . ":" . $value;
                }
                $canonical_headers = implode("\n", $canonical_headers);

                // Signed headers
                $signed_headers = [];
                foreach($request_headers as $key => $value) {
                    $signed_headers[] = strtolower($key);
                }
                $signed_headers = implode(";", $signed_headers);

                // Cannonical request 
                $canonical_request = [];
                $canonical_request[] = "PUT";
                $canonical_request[] = "/" . $content_title2;
                $canonical_request[] = "";
                $canonical_request[] = $canonical_headers;
                $canonical_request[] = "";
                $canonical_request[] = $signed_headers;
                $canonical_request[] = hash('sha256', $content);
                $canonical_request = implode("\n", $canonical_request);
                $hashed_canonical_request = hash('sha256', $canonical_request);

                // AWS Scope
                $scope = [];
                $scope[] = $date;
                $scope[] = $aws_region;
                $scope[] = $aws_service_name;
                $scope[] = "aws4_request";

                // String to sign
                $string_to_sign = [];
                $string_to_sign[] = "AWS4-HMAC-SHA256"; 
                $string_to_sign[] = $timestamp; 
                $string_to_sign[] = implode('/', $scope);
                $string_to_sign[] = $hashed_canonical_request;
                $string_to_sign = implode("\n", $string_to_sign);

                // Signing key
                $kSecret = 'AWS4' . $aws_secret_access_key;
                $kDate = hash_hmac('sha256', $date, $kSecret, true);
                $kRegion = hash_hmac('sha256', $aws_region, $kDate, true);
                $kService = hash_hmac('sha256', $aws_service_name, $kRegion, true);
                $kSigning = hash_hmac('sha256', 'aws4_request', $kService, true);

                // Signature
                $signature = hash_hmac('sha256', $string_to_sign, $kSigning);

                // Authorization
                $authorization = [
                    'Credential=' . $aws_access_key_id . '/' . implode('/', $scope),
                    'SignedHeaders=' . $signed_headers,
                    'Signature=' . $signature
                ];
                $authorization = 'AWS4-HMAC-SHA256' . ' ' . implode( ',', $authorization);

                // Curl headers
                $curl_headers = [ 'Authorization: ' . $authorization ];
                foreach($request_headers as $key => $value) {
                    $curl_headers[] = $key . ": " . $value;
                }

                $url = 'https://' . $host_name . '/' . $content_title2;
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_HEADER, false);
                curl_setopt($ch, CURLOPT_HTTPHEADER, $curl_headers);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, false);
                curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
                curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
                curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
                curl_setopt($ch, CURLOPT_POSTFIELDS, $content2);
                curl_exec($ch);
                $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
                if($http_code != 200){
                    echo "Error AWS";
                }
                if($http_code == 200){
                    $imagen = $content_title2;
                }
        
                
            }
            else
            {
                $message = '<p style="color:red; font-size:12px;">Extensión de imagen no válida. Verifica que tu archivo tenga uno de los siguientes formatos: ' . implode(', ', $allowedfileExtensions).'</p>';
                echo $message;
                exit();
            }
        }
        else
        {
            $message = '<p style="color:red; font-size:12px;">Error en subida de imagen:<br></p> ';
            $message .= '<p style="color:red; font-size:12px;">Error:' . $_FILES['imagen']['error'].'</p>';
            echo $message;
            exit();
        }
        echo $message;
    }


    if($newimg3 == 1){

        if (isset($_FILES['imagen3']) && $_FILES['imagen3']['error'] === UPLOAD_ERR_OK)
        {
            // get details of the uploaded file
            $fileTmpPath3 = $_FILES['imagen3']['tmp_name'];
            $fileName3 = $_FILES['imagen3']['name'];
            $fileSize3 = $_FILES['imagen3']['size'];
            $fileType3 = $_FILES['imagen3']['type'];
            $fileNameCmps3 = explode(".", $fileName3);
            $fileExtension3 = strtolower(end($fileNameCmps3));
        
            // sanitize file-name
            $newFileName3 = "buzon_transparencia_".$lang. '.' . $fileExtension3;
    
            // check if file has one of the following extensions
            $allowedfileExtensions3 = array('jpg', 'gif', 'png', 'webp', 'svg');
        
            if (in_array($fileExtension3, $allowedfileExtensions3))
            {
            ///////////////SUBIR A AWS
                /// AWS API keys
                $aws_access_key_id = $aws_access_key_id;
                $aws_secret_access_key = $aws_secret_access_key;
                // Bucket
                $bucket_name = $bucket_name;
                // AWS region and Host Name (Host names are different for each AWS region)
                // As an example these are set to us-east-1 (US Standard)
                $aws_region = $aws_region;
                $host_name = $bucket_name . '.s3.amazonaws.com';

                // Server path where content is present. This is just an example
                //$content_path = $dest_path;
                $content3 = file_get_contents($fileTmpPath3);

                // AWS file permissions
                $content_acl = 'public-read';

                // MIME type of file. Very important to set if you later plan to load the file from a S3 url in the browser (images, for example)
                
                $content_type3 = 'image/'.$fileExtension3;

                if($content_type3 == 'image/svg' ){ $content_type3 = "image/svg+xml";}
                // Name of content on S3
                $content_title3 = 'img/generales/'.$newFileName3;

                // Service name for S3
                $aws_service_name = 's3';

                // UTC timestamp and date
                $timestamp = gmdate('Ymd\THis\Z');
                $date = gmdate('Ymd');

                // HTTP request headers as key & value
                $request_headers = array();
                $request_headers['Content-Type'] = $content_type3;
                $request_headers['Date'] = $timestamp;
                $request_headers['Host'] = $host_name;
                $request_headers['x-amz-acl'] = $content_acl;
                $request_headers['x-amz-content-sha256'] = hash('sha256', $content3);
                // Sort it in ascending order
                ksort($request_headers);

                // Canonical headers
                $canonical_headers = [];
                foreach($request_headers as $key => $value) {
                    $canonical_headers[] = strtolower($key) . ":" . $value;
                }
                $canonical_headers = implode("\n", $canonical_headers);

                // Signed headers
                $signed_headers = [];
                foreach($request_headers as $key => $value) {
                    $signed_headers[] = strtolower($key);
                }
                $signed_headers = implode(";", $signed_headers);

                // Cannonical request 
                $canonical_request = [];
                $canonical_request[] = "PUT";
                $canonical_request[] = "/" . $content_title3;
                $canonical_request[] = "";
                $canonical_request[] = $canonical_headers;
                $canonical_request[] = "";
                $canonical_request[] = $signed_headers;
                $canonical_request[] = hash('sha256', $content3);
                $canonical_request = implode("\n", $canonical_request);
                $hashed_canonical_request = hash('sha256', $canonical_request);

                // AWS Scope
                $scope = [];
                $scope[] = $date;
                $scope[] = $aws_region;
                $scope[] = $aws_service_name;
                $scope[] = "aws4_request";

                // String to sign
                $string_to_sign = [];
                $string_to_sign[] = "AWS4-HMAC-SHA256"; 
                $string_to_sign[] = $timestamp; 
                $string_to_sign[] = implode('/', $scope);
                $string_to_sign[] = $hashed_canonical_request;
                $string_to_sign = implode("\n", $string_to_sign);

                // Signing key
                $kSecret = 'AWS4' . $aws_secret_access_key;
                $kDate = hash_hmac('sha256', $date, $kSecret, true);
                $kRegion = hash_hmac('sha256', $aws_region, $kDate, true);
                $kService = hash_hmac('sha256', $aws_service_name, $kRegion, true);
                $kSigning = hash_hmac('sha256', 'aws4_request', $kService, true);

                // Signature
                $signature = hash_hmac('sha256', $string_to_sign, $kSigning);

                // Authorization
                $authorization = [
                    'Credential=' . $aws_access_key_id . '/' . implode('/', $scope),
                    'SignedHeaders=' . $signed_headers,
                    'Signature=' . $signature
                ];
                $authorization = 'AWS4-HMAC-SHA256' . ' ' . implode( ',', $authorization);

                // Curl headers
                $curl_headers = [ 'Authorization: ' . $authorization ];
                foreach($request_headers as $key => $value) {
                    $curl_headers[] = $key . ": " . $value;
                }

                $url = 'https://' . $host_name . '/' . $content_title3;
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_HEADER, false);
                curl_setopt($ch, CURLOPT_HTTPHEADER, $curl_headers);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, false);
                curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
                curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
                curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
                curl_setopt($ch, CURLOPT_POSTFIELDS, $content3);
                curl_exec($ch);
                $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
                if($http_code != 200){
                    echo "Error AWS";
                }
                if($http_code == 200){
                    $imagen3 = $content_title3;
                }
        
                
            }
            else
            {
                $message = '<p style="color:red; font-size:12px;">Extensión de imagen no válida. Verifica que tu archivo tenga uno de los siguientes formatos: ' . implode(', ', $allowedfileExtensions).'</p>';
                echo $message;
                exit();
            }
        }
        else
        {
            $message = '<p style="color:red; font-size:12px;">Error en subida de imagen:<br></p> ';
            $message .= '<p style="color:red; font-size:12px;">Error:' . $_FILES['imagen']['error'].'</p>';
            echo $message;
            exit();
        }
        echo $message;
    }


    if($newimg4 == 1){

        if (isset($_FILES['imagen4']) && $_FILES['imagen4']['error'] === UPLOAD_ERR_OK)
        {
            // get details of the uploaded file
            $fileTmpPath4 = $_FILES['imagen4']['tmp_name'];
            $fileName4 = $_FILES['imagen4']['name'];
            $fileSize4 = $_FILES['imagen4']['size'];
            $fileType4 = $_FILES['imagen4']['type'];
            $fileNameCmps4 = explode(".", $fileName4);
            $fileExtension4 = strtolower(end($fileNameCmps4));
        
            // sanitize file-name
            $newFileName4 = "icono_marketData_".$lang. '.' . $fileExtension4;
    
            // check if file has one of the following extensions
            $allowedfileExtensions4 = array('jpg', 'gif', 'png', 'webp', 'svg');
        
            if (in_array($fileExtension4, $allowedfileExtensions4))
            {
            ///////////////SUBIR A AWS
                /// AWS API keys
                $aws_access_key_id = $aws_access_key_id;
                $aws_secret_access_key = $aws_secret_access_key;
                // Bucket
                $bucket_name = $bucket_name;
                // AWS region and Host Name (Host names are different for each AWS region)
                // As an example these are set to us-east-1 (US Standard)
                $aws_region = $aws_region;
                $host_name = $bucket_name . '.s3.amazonaws.com';

                // Server path where content is present. This is just an example
                //$content_path = $dest_path;
                $content4 = file_get_contents($fileTmpPath4);

                // AWS file permissions
                $content_acl = 'public-read';

                // MIME type of file. Very important to set if you later plan to load the file from a S3 url in the browser (images, for example)
                
                $content_type4 = 'image/'.$fileExtension4;

                if($content_type4 == 'image/svg' ){ $content_type4 = "image/svg+xml";}
                // Name of content on S3
                $content_title4 = 'img/generales/'.$newFileName4;

                // Service name for S3
                $aws_service_name = 's3';

                // UTC timestamp and date
                $timestamp = gmdate('Ymd\THis\Z');
                $date = gmdate('Ymd');

                // HTTP request headers as key & value
                $request_headers = array();
                $request_headers['Content-Type'] = $content_type4;
                $request_headers['Date'] = $timestamp;
                $request_headers['Host'] = $host_name;
                $request_headers['x-amz-acl'] = $content_acl;
                $request_headers['x-amz-content-sha256'] = hash('sha256', $content4);
                // Sort it in ascending order
                ksort($request_headers);

                // Canonical headers
                $canonical_headers = [];
                foreach($request_headers as $key => $value) {
                    $canonical_headers[] = strtolower($key) . ":" . $value;
                }
                $canonical_headers = implode("\n", $canonical_headers);

                // Signed headers
                $signed_headers = [];
                foreach($request_headers as $key => $value) {
                    $signed_headers[] = strtolower($key);
                }
                $signed_headers = implode(";", $signed_headers);

                // Cannonical request 
                $canonical_request = [];
                $canonical_request[] = "PUT";
                $canonical_request[] = "/" . $content_title4;
                $canonical_request[] = "";
                $canonical_request[] = $canonical_headers;
                $canonical_request[] = "";
                $canonical_request[] = $signed_headers;
                $canonical_request[] = hash('sha256', $content4);
                $canonical_request = implode("\n", $canonical_request);
                $hashed_canonical_request = hash('sha256', $canonical_request);

                // AWS Scope
                $scope = [];
                $scope[] = $date;
                $scope[] = $aws_region;
                $scope[] = $aws_service_name;
                $scope[] = "aws4_request";

                // String to sign
                $string_to_sign = [];
                $string_to_sign[] = "AWS4-HMAC-SHA256"; 
                $string_to_sign[] = $timestamp; 
                $string_to_sign[] = implode('/', $scope);
                $string_to_sign[] = $hashed_canonical_request;
                $string_to_sign = implode("\n", $string_to_sign);

                // Signing key
                $kSecret = 'AWS4' . $aws_secret_access_key;
                $kDate = hash_hmac('sha256', $date, $kSecret, true);
                $kRegion = hash_hmac('sha256', $aws_region, $kDate, true);
                $kService = hash_hmac('sha256', $aws_service_name, $kRegion, true);
                $kSigning = hash_hmac('sha256', 'aws4_request', $kService, true);

                // Signature
                $signature = hash_hmac('sha256', $string_to_sign, $kSigning);

                // Authorization
                $authorization = [
                    'Credential=' . $aws_access_key_id . '/' . implode('/', $scope),
                    'SignedHeaders=' . $signed_headers,
                    'Signature=' . $signature
                ];
                $authorization = 'AWS4-HMAC-SHA256' . ' ' . implode( ',', $authorization);

                // Curl headers
                $curl_headers = [ 'Authorization: ' . $authorization ];
                foreach($request_headers as $key => $value) {
                    $curl_headers[] = $key . ": " . $value;
                }

                $url = 'https://' . $host_name . '/' . $content_title4;
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_HEADER, false);
                curl_setopt($ch, CURLOPT_HTTPHEADER, $curl_headers);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, false);
                curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
                curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
                curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
                curl_setopt($ch, CURLOPT_POSTFIELDS, $content4);
                curl_exec($ch);
                $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
                if($http_code != 200){
                    echo "Error AWS";
                }
                if($http_code == 200){
                    $imagen4 = $content_title4;
                }
        
                
            }
            else
            {
                $message = '<p style="color:red; font-size:12px;">Extensión de imagen no válida. Verifica que tu archivo tenga uno de los siguientes formatos: ' . implode(', ', $allowedfileExtensions).'</p>';
                echo $message;
                exit();
            }
        }
        else
        {
            $message = '<p style="color:red; font-size:12px;">Error en subida de imagen:<br></p> ';
            $message .= '<p style="color:red; font-size:12px;">Error:' . $_FILES['imagen']['error'].'</p>';
            echo $message;
            exit();
        }
        echo $message;
    }


    $curl = curl_init();

    if($lang == "en"){

        curl_setopt_array($curl, array(
            CURLOPT_URL => $endpoint_graph_cms,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  __typename\\r\\n  updateGeneralidadDelSitio(data: {direccionIndeval: \\"'.$direccionIndeval.'\\", imagenBuzonDeTransparencia: \\"'.$imagen3.'\\", imagenLogoFooter: \\"'.$imagen2.'\\", linkBuzonDeTransparencia: \\"'.$linkBuzonDeTransparencia.'\\", logotipoPrincipal: \\"'.$imagen.'\\", tituloMarketData: \\"'.$tituloMarketData.'\\", textoMarketData: \\"'.$textoMarketData.'\\", imagenMarketData: \\"'.$imagen4.'\\", linkMarketData: \\"'.$linkMarketData.'\\", textoBuzonDeTransparencia: \\"'.$textoBuzonDeTransparencia.'\\", textoCopyright: \\"'.$textoCopyright.'\\", tituloColumna1Footer: \\"'.$tituloColumna1Footer.'\\", tituloColumna2Footer: \\"'.$tituloColumna2Footer.'\\", tituloColumna3Footer: \\"'.$tituloColumna3Footer.'\\"}, where: {id: \\"ckl076cy05vf80a267cvo1kzv\\"}) {\\r\\n    id\\r\\n  }\\r\\n  unpublishGeneralidadDelSitio(where: {id: \\"ckl076cy05vf80a267cvo1kzv\\"}) {\\r\\n    id\\r\\n  }\\r\\n  publishGeneralidadDelSitio(where: {id: \\"ckl076cy05vf80a267cvo1kzv\\"}, to: PUBLISHED, locales: es_MX) {\\r\\n    id\\r\\n  }\\r\\n}\\r\\n","variables":{}}',
            CURLOPT_HTTPHEADER => array(
              'Content-Type: application/json',
              'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
            ),
          ));

    }

    if($lang == "es"){
        curl_setopt_array($curl, array(
            CURLOPT_URL => $endpoint_graph_cms,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  updateGeneralidadDelSitio(data: {localizations: {update: {data: {direccionIndeval: \\"'.$direccionIndeval.'\\", imagenBuzonDeTransparencia: \\"'.$imagen3.'\\", imagenLogoFooter: \\"'.$imagen2.'\\", linkBuzonDeTransparencia: \\"'.$linkBuzonDeTransparencia.'\\", logotipoPrincipal: \\"'.$imagen.'\\", tituloMarketData: \\"'.$tituloMarketData.'\\", textoMarketData: \\"'.$textoMarketData.'\\", imagenMarketData: \\"'.$imagen4.'\\", linkMarketData: \\"'.$linkMarketData.'\\",  textoBuzonDeTransparencia: \\"'.$textoBuzonDeTransparencia.'\\", textoCopyright: \\"'.$textoCopyright.'\\", tituloColumna1Footer: \\"'.$tituloColumna1Footer.'\\", tituloColumna2Footer: \\"'.$tituloColumna2Footer.'\\", tituloColumna3Footer: \\"'.$tituloColumna3Footer.'\\"}, locale: es_MX}}}, where: {id: \\"ckl076cy05vf80a267cvo1kzv\\"}) {\\r\\n    id\\r\\n  }\\r\\n  unpublishGeneralidadDelSitio(where: {id: \\"ckl076cy05vf80a267cvo1kzv\\"}) {\\r\\n    id\\r\\n  }\\r\\n  publishGeneralidadDelSitio(where: {id: \\"ckl076cy05vf80a267cvo1kzv\\"}, to: PUBLISHED, locales: es_MX) {\\r\\n    id\\r\\n  }\\r\\n}\\r\\n","variables":{}}',
            CURLOPT_HTTPHEADER => array(
              'Content-Type: application/json',
              'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
            ),
          ));

    }


    $response = curl_exec($curl);
    //echo $response;
    curl_close($curl);
    

    $jsonrespuesta = json_decode($response, true);
    $id = $jsonrespuesta['data']['updateGeneralidadDelSitio']['id'];

//echo $id;

  $sucess = "<p class='successmsg'>Información actualizada correctamente</p>";
  $fail = "<p class='errormsg'>Falló la actualización.</p> ";


if(strlen($id)>10){

    echo $sucess;

    $string = $newstatus;
    $string = '"'.$string.'"';
    echo '<script>
        
        setTimeout(() => {
            $(".popUpInfo").fadeOut();
        }, 1500);
    </script>';
}

else{
    echo $fail;
}

?>